Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000436Core InformPhrases and functional programmingpublic2010-11-24 15:212014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000436: Block values survive outside of their scope
DescriptionThe attached source prints "nonempty" on the second iteration, even though the value was set in the first and x has gone out of scope in the interim. Compare

- - - -
When play begins:
    repeat with a counter running from one to two:
        let x be a truth state;
        say x;
        now x is true.
- - - -

which prints false both times.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	repeat with a counter running from one to two:
		let x be some indexed text;
		say x;
		now x is "nonempty[line break]".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-02-10 15:47

Fixed. In a language like C, the contents of such a variable would be undetermined; but I7 is not like C, and this should have worked. It now does.

- Issue History
Date Modified Username Field Change
2010-11-24 15:21 EmacsUser New Issue
2010-11-24 21:09 jmcgrew Status new => confirmed
2014-02-10 15:47 graham Note Added: 0002474
2014-02-10 15:47 graham Status confirmed => resolved
2014-02-10 15:47 graham Resolution open => fixed
2014-02-10 15:47 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker